org.springframework.jms.listener

## Class AbstractJmsListeningContainer.SharedConnectionNotInitializedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.jms.listener.AbstractJmsListeningContainer.SharedConnectionNotInitializedException

All Implemented Interfaces:
  Serializable

Enclosing class:
  AbstractJmsListeningContainer

    public static class AbstractJmsListeningContainer.SharedConnectionNotInitializedException
    extends RuntimeException

Exception that indicates that the initial setup of this container's shared JMS Connection failed. This is indicating to invokers that they need to establish the shared Connection themselves on first access.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `AbstractJmsListeningContainer.SharedConnectionNotInitializedException(String msg)` Create a new SharedConnectionNotInitializedException.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractJmsListeningContainer.SharedConnectionNotInitializedException

    protected AbstractJmsListeningContainer.SharedConnectionNotInitializedException(String msg)

Create a new SharedConnectionNotInitializedException.

Parameters:
  `msg` - the detail message